All Vulnerability Reports

USN-4011-1: Jinja2 vulnerabilities


Severity

Medium

Vendor

Canonical Ubuntu

Versions Affected
  • Canonical Ubuntu 16.04
  • Canonical Ubuntu 18.04
Description

Olivier Dony discovered that Jinja incorrectly handled str.format. An attacker could possibly use this issue to escape the sandbox. This issue only affected Ubuntu 16.04 LTS. (CVE-2016-10745)

Brian Welch discovered that Jinja incorrectly handled str.format_map. An attacker could possibly use this issue to escape the sandbox. (CVE-2019-10906)

CVEs contained in this USN include: CVE-2016-10745, CVE-2019-10906

Affected Pivotal Products and Versions

Severity is medium unless otherwise noted.

  • Pivotal Operations Manager
    • 2.6.x versions prior to 2.6.1
    • 2.5.x versions prior to 2.5.7
    • 2.4.x versions prior to 2.4.14
    • 2.3.x versions prior to 2.3.20
Mitigation

Users of affected versions should apply the following mitigation or upgrade. Releases that have fixed this issue include:

  • Pivotal Operations Manager
    • 2.6.1
    • 2.5.7
    • 2.4.14
    • 2.3.20
References
Contactez-nous